Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class CMapSegment

    java.lang.Object
      org.apache.fop.fonts.CMapSegment

    public final class CMapSegment

extends java.lang.Object

A segment in a cmap table of format 4. Unicode code points between `getUnicodeStart()` and `getUnicodeEnd()` map to contiguous glyph indices starting from `getGlyphStartIndex()`.

Constructor Summary
`CMapSegment(int unicodeStart, int unicodeEnd, int glyphStartIndex)` Creates a new segment.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getGlyphStartIndex()` Returns the glyphStartIndex.
`int` | `getUnicodeEnd()` Returns the unicodeEnd.
`int` | `getUnicodeStart()` Returns the unicodeStart.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CMapSegment

    public CMapSegment(int unicodeStart,
                       int unicodeEnd,
                       int glyphStartIndex)

  Creates a new segment.

  Parameters:
    `unicodeStart` - Unicode start index
    `unicodeEnd` - Unicode end index
    `glyphStartIndex` - glyph start index

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### getUnicodeStart

    public int getUnicodeStart()

  Returns the unicodeStart.

  Returns:
    the Unicode start index

### getUnicodeEnd

    public int getUnicodeEnd()

  Returns the unicodeEnd.

  Returns:
    the Unicode end index

### getGlyphStartIndex

    public int getGlyphStartIndex()

  Returns the glyphStartIndex.

  Returns:
    the glyph start index

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.